> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Other workspace statuses

> Get list of potential conflicts with files in other users' workspaces and branches



## OpenAPI

````yaml get /repos/{repo_id}/workspaces/{workspace_id}/other_statuses
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/workspaces/{workspace_id}/other_statuses:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/WorkspaceParam'
      - $ref: '#/components/parameters/PathPrefixParam'
      - $ref: '#/components/parameters/FileEntriesLimit'
    get:
      tags:
        - Repository Workspace Manipulation
      summary: >-
        Get list of potential clashes with files in other users' workspaces and
        branches
      operationId: src.handlersv2.workspace.get_other_statuses
      responses:
        '200':
          description: >-
            By path description of file statuses in other workspaces and
            branches
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefsFilesStatus'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    WorkspaceParam:
      in: path
      name: workspace_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: The repo ID of the workspace.
    PathPrefixParam:
      in: query
      name: path_prefix
      schema:
        type: string
        format: path
        example: path/to/file
      description: A path prefix in the file tree to walk under
    FileEntriesLimit:
      in: query
      name: limit
      schema:
        type: integer
        example: 17
        minimum: 1
      description: Limit the number of entries returned from walk
  schemas:
    RefsFilesStatus:
      type: object
      description: Status of files in multiple refs
      properties:
        statuses:
          type: array
          items:
            $ref: '#/components/schemas/RefsFileStatus'
      required:
        - statuses
    RefsFileStatus:
      type: object
      description: Status of a file in multiple refs
      properties:
        path:
          description: File path
          type: string
        file_statuses:
          description: Details of changes of the file per relevant workspace
          type: array
          items:
            $ref: '#/components/schemas/RefFileStatus'
      required:
        - path
        - file_statuses
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
          example: 403
        detail:
          type: string
          example: User not authorized to perform the requested action on the resource
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    RefFileStatus:
      type: object
      description: Changes on some file in some ref
      properties:
        workspace_id:
          description: ID of the workspace, if applicable
          type: string
        commit_id:
          description: ID of the commit the ref is based on
          type: string
        branch_id:
          description: >-
            ID of the branch or of the branch on which the workspace is based
            on, if applicable
          type: string
        branch_name:
          description: Name of the branch, if applicable
          type: string
        status:
          $ref: '#/components/schemas/ObjectStatus'
        author:
          $ref: '#/components/schemas/User'
        mtime:
          type: integer
          description: Seconds since epoch UTC
          format: int64
      required:
        - commit_id
        - status
        - author
    ObjectStatus:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      description: 'One of: 1 - INTACT, 2 - ADDED, 3 - MODIFIED, 4 - DELETED'
      x-ogen-enum-naming:
        '1': ObjectStatus_INTACT
        '2': ObjectStatus_ADDED
        '3': ObjectStatus_MODIFIED
        '4': ObjectStatus_DELETED
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: URL of the user image
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
      required:
        - id
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````